Subject: bug#22952: MacBook2, 1 brightness control requires root privileges

From: zimoun <[email-masked]>
Date: Wed, 05 Jan 2022 00:46:54 +0100

Hi,

I am doing triage of old bug and I hit this one [1].  Is it still happening?

1: <http://issues.guix.gnu.org/issue/22952>

On Thu, 19 Nov 2020 at 19:39, "pelzflorian (Florian Pelz)" <[email-masked]> wrote:
> On Wed, Nov 18, 2020 at 10:14:32PM +0100, Marius Bakke wrote:

>> To work around it locally, try adding:
>>
>>   (simple-service 'gsd-polkit polkit-service-type
>>                   (list gnome-settings-daemon))
>>
>> to the (services ...) section of your system configuration.
>
> Thank you.  You are correct for GDM.  Adding this fixes changing the
> backlight in GDM.  Perhaps the GDM service should extend the polkit
> service like that.  It also does not conflict with adding a
> gnome-service-type.
>
> MATE still complains.  Without changing services, normally both on the
> first log-in to MATE and on subsequent log-ins, when pressing the keys
> to change the backlight, a message window still tells me that
> /gnu/store/5kmmwc9q23lihpy3nv2knbvsr9qv2aln-mate-power-manager-1.24.2/sbin/mate-power-backlight-helper
> needs to be authenticated as the super user; I need to enter the
> password.
>
> Only with gnome-service-type and when not removing the GDM service,
> after GDM (which uses the gsd), on the first log-in to the MATE
> desktop, the backlight keys do nothing at all.  When I try to log out,
> it says Power Manager is not responding.  When I force the log-out
> despite the Power Manager, then log back in, I again get the message
> each time I press the backlight keys.
>
> I added:
>
> (simple-service 'mate-power-polkit polkit-service-type
>                 (list mate-power-manager))
>
> It does not work.

Especially, many things had been improved since 2020. :-)

Let close it or provide more details for fixing it. ;-)

Cheers,
simon